﻿using System.IO;
using System.Windows.Forms;

namespace Horizon.Snapshots
{
    public class DataGridViewRowProgressSuccessRetrieveFileStream : DataGridViewRowProgressSuccess
    {
        public DataGridViewRowProgressSuccessRetrieveFileStream(DataGridViewRow row, int index) : base(row, index)
        {
        }

        public DataGridViewRowProgressSuccessRetrieveFileStream(DataGridViewRow row, int index,
                                                                MemoryStream memoryStream) : base(row, index)
        {
            MemoryStream = memoryStream;
        }

        public MemoryStream MemoryStream { get; }
    }
}